#! /usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 ./debian/ionicons/generate_less.py < ./debian/ionicons/input.json > searx/static/themes/simple/less/ion.less
	dh_auto_build
	./manage.sh locales # run pybabel
	make themes
	python3 ./debian/ionicons/generate.py < ./debian/ionicons/input.json
	echo '{"bang":[]}' > searx/data/bangs.json

# do not run tests because the splinter python3 module is not packaged yet
override_dh_auto_test:
